FreeMat

- Main Page
- Related Pages

vtkExtractSelectedRows

Section: Visualization Toolkit Graphics Classes

# Usage

The first input is a vtkTable to extract rows from. The second input is a vtkSelection containing the selected indices. The third input is a vtkAnnotationLayers containing selected indices. The field type of the input selection is ignored when converted to row indices.

To create an instance of class vtkExtractSelectedRows, simply invoke its constructor as follows

      obj = vtkExtractSelectedRows

# Methods

The class vtkExtractSelectedRows has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkExtractSelectedRows class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkExtractSelectedRows = obj.NewInstance ()`
- `vtkExtractSelectedRows = obj.SafeDownCast (vtkObject o)`
- `obj.SetSelectionConnection (vtkAlgorithmOutput in)` - A convenience method for setting the second input (i.e. the selection).
- `obj.SetAnnotationLayersConnection (vtkAlgorithmOutput in)` - A convenience method for setting the third input (i.e. the annotation layers).
- `int = obj.FillInputPortInformation (int port, vtkInformation info)` - Specify the first vtkGraph input and the second vtkSelection input.
- `obj.SetAddOriginalRowIdsArray (bool )` - When set, a column named vtkOriginalRowIds will be added to the output. False by default.
- `bool = obj.GetAddOriginalRowIdsArray ()` - When set, a column named vtkOriginalRowIds will be added to the output. False by default.
- `obj.AddOriginalRowIdsArrayOn ()` - When set, a column named vtkOriginalRowIds will be added to the output. False by default.
- `obj.AddOriginalRowIdsArrayOff ()` - When set, a column named vtkOriginalRowIds will be added to the output. False by default.